org.eclipse.eef.ide.ui.internal.widgets.quickfix

## Class EEFValidationMessagesTableContentProvider

- java.lang.Object
- - org.eclipse.eef.ide.ui.internal.widgets.quickfix.EEFValidationMessagesTableContentProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IContentProvider, org.eclipse.jface.viewers.IStructuredContentProvider

    public class EEFValidationMessagesTableContentProvider
    extends java.lang.Object
    implements org.eclipse.jface.viewers.IStructuredContentProvider

The content provider used to display the validation messages.

### Constructor Summary

Constructors
Constructor and Description
`EEFValidationMessagesTableContentProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`java.lang.Object[]` `getElements(java.lang.Object inputElement)`
`void` `inputChanged(org.eclipse.jface.viewers.Viewer viewer, java.lang.Object oldInput, java.lang.Object newInput)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EEFValidationMessagesTableContentProvider

    public EEFValidationMessagesTableContentProvider()

### Method Detail

#### getElements

    public java.lang.Object[] getElements(java.lang.Object inputElement)

Specified by:
  `getElements` in interface `org.eclipse.jface.viewers.IStructuredContentProvider`
See Also:
  `IStructuredContentProvider.getElements(java.lang.Object)`

#### inputChanged

    public void inputChanged(org.eclipse.jface.viewers.Viewer viewer,
                             java.lang.Object oldInput,
                             java.lang.Object newInput)

Specified by:
  `inputChanged` in interface `org.eclipse.jface.viewers.IContentProvider`
See Also:
  `IContentProvider.inputChanged(org.eclipse.jface.viewers.Viewer, java.lang.Object, java.lang.Object)`

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `org.eclipse.jface.viewers.IContentProvider`
See Also:
  `IContentProvider.dispose()`